#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    int valasz[t]={},n[t],k[t],m[t];
    for(int i=0;i<t;i++){
        cin>>n[i]>>m[i]>>k[i];
        if(m[i]%n[i]==0)
            valasz[i]=1;
        else
            valasz[i]=1;
    }
    for(int i=0;i<t;i++){
        if(valasz[i]==1){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
    }
}